#ifndef SCENE_H_
#define SCENE_H_

#include "gui.h"
#include "framebuffer.h"
#include "tmesh.h"
#include "shaderOne.h"

class Scene {

public:
  CGInterface *cgi;
  ShaderOneInterface *soi;
  float tstep;
  FrameBuffer *fb, *projFB, *hwfb;
  GUI *gui;
  TMesh *tmesh;
  PPC *ppc, *projPPC;
  bool moveProj;
  Scene();
  void Show();
  void DBG();
  void TranslateForward();
  void TranslateBackward();
  void TranslateLeft();
  void TranslateRight();
  void TranslateUp();
  void TranslateDown();
  void ZoomIn();
  void Redraw();
  void RenderHWFixedPipeline();
  void RenderHWGPU();
};

extern Scene *scene;

#endif